## javax.xml.rpc.holders
Class ObjectHolder

    java.lang.Object
      javax.xml.rpc.holders.ObjectHolder

All Implemented Interfaces:
  Holder

public final class ObjectHolder
extends java.lang.Object
implements Holder

Holder for `Object`s.

Version:
  1.0

Field Summary
`java.lang.Object` `value` The `Object` contained by this holder.

Constructor Summary
`ObjectHolder()` Make a new `ObjectHolder` with a `null` value.
`ObjectHolder(java.lang.Object value)` Make a new `ObjectHolder` with `value` as the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.lang.Object value

  The `Object` contained by this holder.

Constructor Detail

### ObjectHolder

    public ObjectHolder()

  Make a new `ObjectHolder` with a `null` value.

### ObjectHolder

    public ObjectHolder(java.lang.Object value)

  Make a new `ObjectHolder` with `value` as the value.

Parameters:
  `value` - the `Object` to hold

Copyright © 2005 Apache Web Services Project. All Rights Reserved.